#!/usr/bin/env pvpython
from paraview.simple import *
import argparse ,os,re
print("  Export drop to vtk (.py)")
parser = argparse.ArgumentParser()
parser.add_argument('--owner',type=str,default='.',help='owner directory')
args = parser.parse_args()
def extract_text_between_strings(text,start,end):
	idx0 = text.find(start)
	idx1 = text.find(end)
	if idx0<0 or idx1<0:
		return ''
	return text[idx0+len(start):idx1]
fs = os.listdir(args.owner)
fs = [f for f in fs if re.match('phi.*\.vts$',f)]
fs = sorted(fs)
for f in fs:
	time = extract_text_between_strings(f,'_t','.vts')
	if time:
		time='_t' + time
	phi = XMLStructuredGridReader(registrationName='phi',FileName='{}/{}'.format(args.owner,f))
	contour = Contour(registrationName='Drop', Input=phi)
	contour.ContourBy = ['POINTS', 'phi']
	contour.Isosurfaces = [0.5]
	contour.PointMergeMethod = 'Uniform Binning'
	print('  Write {}/drop{}.vtk'.format(args.owner,time))
	SaveData('{}/drop{}.vtk'.format(args.owner,time),proxy=contour)
	Delete(contour); del contour
	Delete(phi); del phi
